<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/SymbolLookup/TypeName.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::SymbolLookup::TypeName</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../../Synopsis.html" >Synopsis</a>::<a href="../SymbolLookup.html" >SymbolLookup</a>
</div><div class="class-name">class TypeName

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/SymbolLookup/Symbol.hh.html" target="detail">../Synopsis/SymbolLookup/Symbol.hh</a></div> <div class="xref"><a href="../../../XRef/xref26.html#Synopsis_mSymbolLookup_mTypeName" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Symbol.hh.html#line97" ><img src="../../../src-c++.png" alt="source code"/></a></div></div>  <img alt="TypeName-inheritance" src="TypeName-inheritance.png" hspace="8" vspace="8" border="0" usemap="#TypeName-inheritance_map" />
<map name="TypeName-inheritance_map"><area alt="Scopes/Synopsis/SymbolLookup/EnumName.html" href="EnumName.html" shape="rect" coords="5, 156, 245, 180" />
<area alt="Scopes/Synopsis/SymbolLookup/ClassName.html" href="ClassName.html" shape="rect" coords="269, 156, 504, 180" />
<area alt="Scopes/Synopsis/SymbolLookup/TypedefName.html" href="TypedefName.html" shape="rect" coords="528, 156, 781, 180" />
<area alt="Scopes/Synopsis/SymbolLookup/Symbol.html" href="Symbol.html" shape="rect" coords="279, 7, 495, 31" />
</map>
 <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="TypeName_lconst.PTree_mEncoding_A_cconst.PTree_mNode_S_cbool_cScope_S_r">TypeName</a>(const&#160;<a href="../PTree/Encoding.html" >PTree::Encoding</a>&amp; <span class="variable">type</span>, const&#160;<a href="../PTree/Node.html" >PTree::Node</a>* <span class="variable">ptree</span>, bool <span class="variable">def</span>, <a href="Scope.html" >Scope</a>* <span class="variable">s</span>)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Symbol.hh.html#line101" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="accept_lSymbolVisitor_S_rconst">accept</a>(<a href="SymbolVisitor.html" >SymbolVisitor</a>* <span class="variable">v</span>) <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref26.html#Synopsis_mSymbolLookup_mTypeName_maccept_lSymbolVisitor_S_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Symbol.hh.html#line103" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<table width="100%" summary="Public Member functions Inherited from Symbol">
<tr><td colspan="2" class="heading">Public Member functions Inherited from Symbol</td></tr>
<tr><td class="inherited"><a href="Symbol.html#type_l_rconst" title="member function Symbol::type&#40;&#41;const">type</a>,
<a href="Symbol.html#ptree_l_rconst" title="member function Symbol::ptree&#40;&#41;const">ptree</a>,
<a href="Symbol.html#is_definition_l_rconst" title="member function Symbol::is_definition&#40;&#41;const">is_definition</a>,
<a href="Symbol.html#scope_l_rconst" title="member function Symbol::scope&#40;&#41;const">scope</a></td></tr></table>
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:59 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
